import {Injectable} from "@angular/core";
import {Punycode} from "./punycode";
import {Utf8} from "./utf8";
import {QuotedPrintable} from "./quotedprintable";

@Injectable()
export class NativeLibraryWrapperService {
    public utf8:Utf8;
    public quotedPrintable:QuotedPrintable;
    public punycode:Punycode;

    constructor() {
        this.utf8 = require("utf8");
        this.quotedPrintable = require("quoted-printable");
        this.punycode = require("punycode");
    }
}
